Branch: Tag:

2013-11-14

2013-11-14 14:26:07 by Henrik Grubbström (Grubba) <grubba@grubba.org>

Fix warnings generated by Pike 8.0.

Note that some of the deprecation warnings have only been suppressed
in order to be compatible with Pike 7.8. These will have to be fixed
when the code is officially migrated to Pike 8.0 or later.

5:   #include <config.h>   #include <module.h>   #include <module_constants.h> - constant cvs_version="$Id: prototypes.pike,v 1.277 2011/01/11 08:47:16 marty Exp $"; + constant cvs_version="$Id$";      #ifdef DAV_DEBUG   #define DAV_WERROR(X...) werror(X)
2738:       protected string charset_name(function|string what)    { -  switch (what) { -  case string_to_unicode: return "ISO10646-1"; -  case string_to_utf8: return "UTF-8"; -  default: return upper_case((string) what); +  if (what == string_to_unicode) return "ISO10646-1"; +  if (what == string_to_utf8) return "UTF-8"; +  return upper_case((string) what);    } -  } +        protected function charset_function(function|string what, int allow_entities)    { -  +  if (functionp(what)) return what;    switch (what) {    case "ISO-10646-1":    case "ISO10646-1": -  case string_to_unicode: +     return string_to_unicode;       case "UTF-8": -  case string_to_utf8: +     return string_to_utf8;       default: